package com.ruoyi.ss.vipOrder.service;

import com.ruoyi.ss.vipOrder.domain.VipOrder;
import com.ruoyi.ss.vipOrder.domain.VipOrderQuery;
import com.ruoyi.ss.vipOrder.domain.VipOrderVO;
import com.ruoyi.ss.vipOrder.domain.bo.AddPayVipOrderBO;
import com.ruoyi.ss.vipOrder.domain.vo.AddAndPayVO;

import java.util.List;

/**
 * 会员订单Service接口
 *
 * @author ruoyi
 * @date 2025-01-16
 */
public interface VipOrderService
{
    /**
     * 查询会员订单
     *
     * @param id 会员订单主键
     * @return 会员订单
     */
    public VipOrderVO selectVipOrderById(Long id);

    /**
     * 查询会员订单列表
     *
     * @param vipOrder 会员订单
     * @return 会员订单集合
     */
    public List<VipOrderVO> selectVipOrderList(VipOrderQuery vipOrder);

    /**
     * 新增会员订单
     *
     * @param vipOrder 会员订单
     * @return 结果
     */
    public int insertVipOrder(VipOrder vipOrder);

    /**
     * 修改会员订单
     *
     * @param vipOrder 会员订单
     * @return 结果
     */
    public int updateVipOrder(VipOrder vipOrder);

    /**
     * 批量删除会员订单
     *
     * @param ids 需要删除的会员订单主键集合
     * @return 结果
     */
    public int deleteVipOrderByIds(Long[] ids);

    /**
     * 删除会员订单信息
     *
     * @param id 会员订单主键
     * @return 结果
     */
    public int deleteVipOrderById(Long id);

    /**
     * 下单并支付
     */
    AddAndPayVO addAndPay(AddPayVipOrderBO bo);

    /**
     * 刷新支付结果
     */
    int refreshPayResult(Long id);

    /**
     * 刷新支付结果
     */
    int refreshPayResult(String orderNo);
}
